* Encoding: UTF-8.
* Note: Replace "...PATH..." with the path to the logfile!.
GET DATA  /TYPE=TXT
  /FILE="...PATH...\Data\Results_Baseline.dat"
  /DELCASE=LINE
  /DELIMITERS="\t"
  /ARRANGEMENT=DELIMITED
  /FIRSTCASE=2
  /IMPORTCASE=ALL
  /VARIABLES=
  Baseline F1.0
  Week1 F7.0
  Week2 F7.0
  Rest F12.0.
CACHE.
EXECUTE.
DATASET NAME WarddrobeMalfunctions WINDOW=FRONT.

COMPUTE sfilter = Week1 < 100.
EXECUTE.
FORMATS sfilter (F1.0).
FILTER BY sfilter.

* ANOVA.
GLM
  Baseline Week1 Week2 Rest
  /WSFACTOR = Time 4 Polynomial
  /METHOD = SSTYPE(3)
  /EMMEANS = TABLES(Time) COMPARE ADJ(LSD)
  /PRINT = ETASQ
  /CRITERIA = ALPHA(.05)
  /WSDESIGN = Time .

